<?php
define('D', $_SERVER['DOCUMENT_ROOT'].'/');
include_once D.'sys/inc/home.php';
include_once D.'sys/inc/start.php';
include_once D.'sys/inc/compress.php';
include_once D.'sys/inc/sess.php';
include_once D.'sys/inc/settings.php';
include_once D.'sys/inc/db_connect.php';
include_once D.'sys/inc/ipua.php';
include_once D.'sys/inc/fnc.php';
include_once D.'sys/inc/user.php';
only_reg();

$set['title'] = 'Бар в гостевой - панель управления';
include_once D.'sys/inc/thead.php';
title();
aut();
if (isset($user) and $user['level']>=3)
{

#text div
$divt = "<div class='p_m'>";
#
#link div
$divl = "<div class='foot'>";
#
$endiv = "</div>";
#

$act = isset($_GET['act']) ? htmlspecialchars(trim($_GET['act'])):null;

switch($act)
{
default:
echo "
$divt- <a href='?act=del_cat_k'>Удаление коренных категорий</a>$endiv
$divt- <a href='?act=edit_cat_k'>Изменение коренных категорий</a>$endiv
$divt- <a href='?act=del_cat'>Удаление подкатегорий</a>$endiv
$divt- <a href='?act=edit_cat'>Изменение подкатегорий</a>$endiv
$divt- <a href='?act=del_nap'>Удаление товаров</a>$endiv
$divt- <a href='?act=edit_nap'>Изменение товаров</a>$endiv
";
break;

case 'del_cat_k' :

if (isset($_POST['go']))
{
$i = intval($_POST['cat']);
if (mysql_result(mysql_query("select count(*) from `gu_bar_cat` where `id` = '$i'"),0)==0)$err='Нет такой категории!';

if (!isset($err))
{

$q=mysql_query("SELECT * FROM `gu_bar_nap` where `id_cat` = '$i'");
while ($post = mysql_fetch_assoc($q))
{
unlink($_SERVER['DOCUMENT_ROOT'].'/file/'.$post['file']);
mysql_query("DELETE FROM `gu_bar_nap` where `id` = '$post[id]'");
}

mysql_query("DELETE FROM `gu_bar_cat` where `id_cat` = '$i");
mysql_query("DELETE FROM `gu_bar_cat` where `id` = '$i' LIMIT 1");
echo '<div class="msg">Категория удалена</div>';
}


}
err();

echo "<form action='?act=del_cat_k' method='post'>
Выберите категорию:<br/>
<select name='cat'>";
$q=mysql_query("SELECT * FROM `gu_bar_cat` where `cat` = '0' ORDER BY `id` DESC");

if (mysql_num_rows($q)==0)echo "<option value='0'>Нет категорий</option>";
while ($post = mysql_fetch_assoc($q))echo "<option value='$post[id]'>$post[name]</option>";
echo "</select><br/>
<input type='submit' name='go' value='Удалить' />
</form>$divl<a href='?'>Админка</a>$endiv";

break;

case 'edit_cat_k' :

if (isset($_GET['msg']))echo '<div class="msg">Категория изменена</div>';

if (isset($_GET['i']))
{

$post=mysql_fetch_assoc(mysql_query("SELECT * FROM `gu_bar_cat` where `id` = '".intval($_GET['i'])."' limit 1"));

if (isset($_POST['save']))
{

$name = mysql_real_escape_string($_POST['name']);
if (isset($_POST['create']))$create = $_POST['create']==0?0:1;
else
$create=0;
if (mb_strlen($_POST['name'])>64)$err='Название слишком длинное!';
if (mb_strlen($_POST['name'])<3)$err='Название слишком короткое!';

if (!isset($err))
{
mysql_query("insert into `gu_bar_cat` set `name` = '$name', `create` = '$create' where `id` = '$i' limit 1");
header('location: ?act=edit_cat_k&msg');
}
}
err();

echo "
<form action='?act=edit_cat_k&amp;i=".intval($_GET['i'])."' method='post'>
Название:<br/>
<input type='text' name='name' value='$post[name]' />
<br/>Добавление напитков:<br/>
<select name='create'>
<option value='0'",($post['create']==0?" selected='selected'":null),">Нет</option>
<option value='1'",($post['create']==1?" selected='selected'":null),">Да</option>
</select>
<br/>
<input type='submit' name='save' value='Сохранить' />
</form>$divl<a href='?'>Админка</a>$endiv";

break;
}

if (isset($_POST['go']))
{
$i = intval($_POST['cat']);
if (mysql_result(mysql_query("select count(*) from `gu_bar_cat` where `id` = '$i'"),0)==0)$err='Нет такой категории!';

if (!isset($err))
{
header('location: ?act=edit_cat_k&i='.$i);
}
}
err();

echo "<form action='?act=edit_cat_k' method='post'>
Выберите категорию:<br/>
<select name='cat'>";
$q=mysql_query("SELECT * FROM `gu_bar_cat` where `cat` = '0' ORDER BY `id` DESC");

if (mysql_num_rows($q)==0)echo "<option value='0'>Нет категорий</option>";
while ($post = mysql_fetch_assoc($q))echo "<option value='$post[id]'>$post[name]</option>";
echo "</select><br/>
<input type='submit' name='go' value='Изменить' />
</form>$divl<a href='?'>Админка</a>$endiv";

break;

case 'del_cat' :

if (isset($_POST['go']))
{
$i = intval($_POST['cat']);
if (mysql_result(mysql_query("select count(*) from `gu_bar_cat` where `id` = '$i'"),0)==0)$err='Нет такой категории!';

if (!isset($err))
{

$q=mysql_query("SELECT * FROM `gu_bar_nap` where `id_cat` = '$i'");
while ($post = mysql_fetch_assoc($q))
{
unlink($_SERVER['DOCUMENT_ROOT'].'/file/'.$post['file']);
mysql_query("DELETE FROM `gu_bar_nap` where `id` = '$post[id]'");
}
mysql_query("DELETE FROM `gu_bar_cat` where `id` = '$i' LIMIT 1");
echo '<div class="msg">Категория удалена</div>';
}


}
err();

echo "<form action='?act=del_cat' method='post'>
Выберите подкатегорию:<br/>
<select name='cat'>";
$q=mysql_query("SELECT * FROM `gu_bar_cat` where `cat` != '0' ORDER BY `id` DESC");

if (mysql_num_rows($q)==0)echo "<option value='0'>Нет категорий</option>";
while ($post = mysql_fetch_assoc($q))echo "<option value='$post[id]'>$post[name]</option>";
echo "</select><br/>
<input type='submit' name='go' value='Удалить' />
</form>$divl<a href='?'>Админка</a>$endiv";

break;

case 'edit_cat' :

if (isset($_GET['msg']))echo '<div class="msg">Категория изменена</div>';

if (isset($_GET['i']))
{

$post=mysql_fetch_assoc(mysql_query("SELECT * FROM `gu_bar_cat` where `id` = '".intval($_GET['i'])."' limit 1"));

if (isset($_POST['save']))
{

$name = mysql_real_escape_string($_POST['name']);
if (isset($_POST['create']))$create = $_POST['create']==0?0:1;
else
$create=0;
if (mb_strlen($_POST['name'])>64)$err='Название слишком длинное!';
if (mb_strlen($_POST['name'])<3)$err='Название слишком короткое!';

if (!isset($err))
{
mysql_query("insert into `gu_bar_cat` set `name` = '$name', `create` = '$create' where `id` = '$i' limit 1");
header('location: ?act=edit_cat&msg');
}
}
err();

echo "
<form action='?act=edit_cat&amp;i=".intval($_GET['i'])."' method='post'>
Название:<br/>
<input type='text' name='name' value='$post[name]' />
<br/>Добавление напитков:<br/>
<select name='create'>
<option value='0'",($post['create']==0?" selected='selected'":null),">Нет</option>
<option value='1'",($post['create']==1?" selected='selected'":null),">Да</option>
</select>
<br/>
<input type='submit' name='save' value='Сохранить' />
</form>$divl<a href='?'>Админка</a>$endiv";

break;
}

if (isset($_POST['go']))
{
$i = intval($_POST['cat']);
if (mysql_result(mysql_query("select count(*) from `gu_bar_cat` where `id` = '$i'"),0)==0)$err='Нет такой категории!';

if (!isset($err))
{
header('location: ?act=edit_cat&i='.$i);
}
}
err();

echo "<form action='?act=edit_cat' method='post'>
Выберите подкатегорию:<br/>
<select name='cat'>";
$q=mysql_query("SELECT * FROM `gu_bar_cat` where `cat` != '0' ORDER BY `id` DESC");

if (mysql_num_rows($q)==0)echo "<option value='0'>Нет категорий</option>";
while ($post = mysql_fetch_assoc($q))echo "<option value='$post[id]'>$post[name]</option>";
echo "</select><br/>
<input type='submit' name='go' value='Изменить' />
</form>$divl<a href='?'>Админка</a>$endiv";

break;

case 'del_nap' :

if (isset($_POST['go']))
{
$i = intval($_POST['nap']);
if (mysql_result(mysql_query("select count(*) from `gu_bar_nap` where `id` = '$i'"),0)==0)$err='Нет такого товара!';

if (!isset($err))
{

$post=mysql_fetch_assoc(mysql_query("SELECT * FROM `gu_bar_nap` where `id` = '$i' limit 1"));

unlink($_SERVER['DOCUMENT_ROOT'].'/file/'.$post['file']);
mysql_query("DELETE FROM `gu_bar_nap` where `id` = '$post[id]'");

echo '<div class="msg">Товар удален</div>';
}


}
err();

echo "<form action='?act=del_nap' method='post'>
Выберите товар:<br/>
<select name='nap'>";
$q=mysql_query("SELECT * FROM `gu_bar_nap` ORDER BY `id` DESC");

if (mysql_num_rows($q)==0)echo "<option value='0'>Нет товаров</option>";
while ($post = mysql_fetch_assoc($q))echo "<option value='$post[id]'>$post[msg]</option>";
echo "</select><br/>
<input type='submit' name='go' value='Удалить' />
</form>$divl<a href='?'>Админка</a>$endiv";

break;

case 'edit_nap' :

if (isset($_GET['msg']))echo '<div class="msg">Товар изменен</div>';

if (isset($_GET['i']))
{

$post=mysql_fetch_assoc(mysql_query("SELECT * FROM `gu_bar_nap` where `id` = '".intval($_GET['i'])."' limit 1"));

if (isset($_POST['save']))
{

$msg = mysql_real_escape_string($_POST['msg']);
$f = end(explode('.', $_FILES['file']['name']));
if (@$_FILES['file']['name']!=NULL && $f!='gif' && $f!='jpg' && $f!='png' && $f!='jpeg'){$err = 'Ошибка расширения картинки!';}

if (!isset($err))
{
if (@$_FILES['file']['name']!=NULL)
{
move_uploaded_file($_FILES['file']['tmp_name'], 'file/nap_'.md5($_FILES['file']['name']).'.'.$f);
$file = 'nap_'.md5($_FILES['file']['name']).'.'.$f;
}
mysql_query("insert into `gu_bar_nap` set `msg` = '$msg' ,`file` = '$file' where `id` = '$post[id]' limit 1");
header('location: ?act=edit_cat&msg');
}
}
err();

echo "
<form action='?act=edit_nap&amp;i=".intval($_GET['i'])."' method='post' enctype='multipart/form-data'>
Описание напитка:<br/>
<input type='text' name='msg' value='$post[msg]' /><br/>
Файл:<br/>
<input type='file' name='file' accept='image/*,image/gif,image/png,image/jpeg' /><br/>
<img src='file/$post[file]' alt='' />
<br/>
<input type='submit' name='save' value='Сохранить' />
</form>$divl<a href='?'>Админка</a>$endiv";

break;
}

if (isset($_POST['go']))
{
$i = intval($_POST['nap']);
if (mysql_result(mysql_query("select count(*) from `gu_bar_nap` where `id` = '$i'"),0)==0)$err='Нет такого товара!';

if (!isset($err))
{
header('location: ?act=edit_nap&i='.$i);
}
}

err();

echo "<form action='?act=edit_nap' method='post'>
Выберите товар:<br/>
<select name='nap'>";
$q=mysql_query("SELECT * FROM `gu_bar_nap` ORDER BY `id` DESC");

if (mysql_num_rows($q)==0)echo "<option value='0'>Нет товаров</option>";
while ($post = mysql_fetch_assoc($q))echo "<option value='$post[id]'>$post[msg]</option>";
echo "</select><br/>
<input type='submit' name='go' value='Изменить' />
</form>$divl<a href='?'>Админка</a>$endiv";

break;

}
echo $divl."<a href='index.php'>В бар</a>".$endiv;
include_once D.'sys/inc/tfoot.php';
}else{header('location: index.php');exit();}